DPRIME(1)                          |STAT                       October 1985

NAME
     dprime - compute d' and beta for signal detection data

SYNOPSIS
     dprime [hit-rate false-alarm-rate]

DESCRIPTION
     dprime can be given two arguments: the hit-rate and the false-alarm-
     rate, for which it will print d' and beta.  Otherwise, dprime reads
     raw data from the standard input.  If raw data are input, dprime
     assumes a two column input in which the first column tells whether
     signal+noise or just noise were presented, and the second column tells
     how the observer responded.  The following strings can be used to
     indicate affirmative answers
                                 signal, yes, 1
     while the following can be used to indicate negative:
                                  noise, no, 0
     Upper case forms for the above are allowed.

ALGORITHM
     The value for d' is the Z value of the hit-rate minus that of the
     false-alarm-rate.
                              d' = Z(hr) - Z(far)
     This reflects the distance between the two distributions: signal, and
     signal+noise.  Though Z values can have any real value, normally
     distributed ones are between -2 and 2 about 95% of the time, so
     differences of twice that would be rare.

     The value for beta is the ratio of the normal density functions of the
     Z values used in the computation of d'.  This reflects an observer's
     bias to say `yes' or `no' with the unbiased observer having a value
     around 1.0.  A major reason for doing a signal detection analysis is
     to get a measure of discrimination that is constant over observer
     biases, but the invariance of beta is often not certain.

EXAMPLE
     dprime .7 .4     # will print
     hr     far    dprime beta
     0.70   0.40   0.78   0.90

REFERENCE
     The chapter on Theory of Signal Detection in Coombs, Dawes, and
     Tversky's Mathematical Psychology, 1970, Academic Press.

BUGS
     The program has not been tested extensively.
