FPACK(1)                    UNIX User's Manual             October 14, 1986

NAME
     fpack - pack and unpack ascii files with simple archiving scheme

USAGE
     fpack [-v] [files]

DESCRIPTION
     fpack is a simple plain text file archiving scheme to either reduce
     the number of files or to package them together.  It is designed to be
     portable to systems between which files may be transferred, such as
     between UNIX and MSDOS.  It can save space on systems that use disk
     blocks for files that occupy a small part of a block.  One of the
     program's requirements is that it does not alter the format of its
     input, so files like documents or human readable data files are not
     converted to a special format.

     Files are delimited by a special string at the start of a line:
          fpack:!@#$%^&*():   <filename>

OPTIONS
     -v   Verbose output.  fpack will name the files it packs or unpacks.

NOTES
     Text outside file delimiters in an archive will be ignored.

     If a file does not end with a newline character, one will be silently
     added.

     If a file to be unpacked exists, then it will not be overwritten.
     Instead, the contents of the file(s) being unpacked will be discarded.

EXAMPLES
     Pack up some C source files.
          fpack *.c > archive
     Unpack all files.
          fpack < archive
