REGRESS(1)                         |STAT                  November 25, 1986

NAME
     regress - multivariate linear regression and correlation

SYNOPSIS
     regress [-ceprs] [column names]

DESCRIPTION
     regress performs a general linear correlation and regression analysis
     for up to 20 variables.  Input is a series of lines, each containing
     an equal number of numerical fields.  Names for these fields can be
     supplied, but if none are given, REG, A, B, C, etc. are used.

     For regression analysis, the first column is predicted with all the
     others (see dm or colex to reorder columns).

OPTIONS
     -c   Print the covariance matrix.

     -e   Save the regression equation in the file regress.eqn. This file
          is designed for use with the data manipulator dm. Suppose the
          input to regress is in regress.in. Then,
                               regress -e < regress.in
          can be followed by
                       dm Eregress.eqn < regress.in | pair -p
          to plot the obtained against the predicted values.  The residuals
          can be obtained with an extra pass through dm:
           dm  Eregress.eqn  <  regress.in  |  dm  x2  x1-x2  |  pair  -p

     -p   Do a partial correlation analysis to determine the contribution
          of individual predictors after the others have been included.
          regress reports, for each predictor, the regression weight (b)
          and the standardized regression weight (beta).  The Rsq value is
          the squared multiple correlation of the predictor with all other
          predictors; if there is only one predictor, this will be zero,
          and if there is only one other, both Rsq's will be identical.
          Also reported is the standard error of the regression weight (b).
          The significance test answers the question: ``After all the other
          variables have been taken into account, does this variable
          significantly improve prediction?''

     -r   Do no regression analysis.  Only print the correlation matrix and
          summary statistics.

     -s   Print the matrix of raw sums of squares and cross products.

DIAGNOSTICS
     regress will complain about a singular correlation matrix if variables
     are perfectly correlated.

ALGORITHM
     Chapter 4 of Kerlinger and Pedhazur (1973) Multiple Regression in
     Behavioral Research. New York: Holt, Rinehart & Winston.

LIMITS
     Use the -L option to determine the program limits.
